Bug 865506 - engine: block RESTAPI/webadmin block export domain, block engine (3.0->3.1) upgrade script in case block (iscsi/fcp) export domain exist within the system.
engine: block RESTAPI/webadmin block export domain, block engine (3.0->3.1) u...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Asaf Shakarchi
Daniel Paikov
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 11:41 EDT by Dafna Ron
Modified: 2016-02-10 13:40 EST (History)
10 users (show)

See Also:
Fixed In Version: SI24
Doc Type: Release Note
Doc Text:
Support for export storage domains on block storage provided by iSCSI or FCP devices has been deprecated. If the "rhevm-upgrade" script detects export storage domains on block storage devices then it will exit. To complete the upgrade you must remove the offending export storage domains from the environment and run the "rhevm-upgrade" script again.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (42.83 KB, image/jpeg)
2012-10-11 11:41 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-10-11 11:41:24 EDT
Created attachment 625557 [details]
screen shot

Description of problem:

I am working on a setup that was upgraded from 2.2 to 3.0 and than to 3.1. 
so I have an iscsi Export domain as legacy from 2.2
when I press the edit tab on the iscsi export domain I get an empty dialogue with just the domain's name (no details on the server and no OK/Cancel buttons). 

Version-Release number of selected component (if applicable):

si20 updated from 3.0

How reproducible:

100%

Steps to Reproduce:
1. import iSCSI Export domain from 2.2 to 3.1 and press the edit
2.
3.
  
Actual results:

we are getting a dialogue with no connection details and no OK/Cancel buttons. 

Expected results:

1. we should see connection details (although expand should not be available) and see OK/Cancel buttons
2. if we no longer support iSCSI Export in 3.1 we should not allow to upgrade while we have an iSCSI/FC Export domains and remove them from the list of domains in UI. 

Additional info: screen shot
Comment 8 Asaf Shakarchi 2012-10-25 19:53:56 EDT
Patch submitted: 
http://gerrit.ovirt.org/#/c/8838/
Comment 10 Allon Mureinik 2012-10-29 03:26:32 EDT
Merged I35b46ff1a507732e38b8979db067a9c52b927714
Comment 13 Allon Mureinik 2012-10-30 12:25:01 EDT
Merged I312734e2ea7e41bcef2a647d86554a8c3fc59061
Comment 14 Daniel Paikov 2012-11-05 09:17:22 EST
Checked on si24.

Note You need to log in before you can comment on or make changes to this bug.